import { Provider } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { RestPythonService } from '../rest-python/rest-python.module';
import { DeviceManagerService } from '../devicemanager/device-manager.module';
import { DeviceService } from './device.service';
/**
 * This method instantiates a new instance for service if none is provided.
 * @param [service] An existing instance of the service
 * @param http The HTTP service for server callbacks
 * @param restPython The REST Python service for URL serialization
 * @param dm The DeviceManager service that has this Device in it
 */
export declare function serviceSelect(service: DeviceService, http: HttpClient, restPython: RestPythonService, dm: DeviceManagerService): DeviceService;
/**
 * This is a default Service Provider factory that automatically selects the
 * "external" service (if already in the DI graph) or injects a new one using
 * the required set of external dependencies.
 */
export declare function deviceServiceProvider(): Provider[];
