import { OnDestroy, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { DeviceManager } from '../models/index';
import { DeviceManagerService } from './device-manager.service';
/**
 * The DeviceManager Directive provides access to a specific DeviceManager model
 *
 * @example
 * <div [arDeviceManager]="'DCE:...'" [(arModel)]="my_model">
 */
export declare class DeviceManagerDirective implements OnDestroy, OnChanges {
    service: DeviceManagerService;
    /**
     * Sets the ID for the underlying service
     */
    deviceManagerId: string;
    /** Setter for "Banana in a Box Syntax"  */
    model: DeviceManager;
    /** Emitter for "Banana in a Box Syntax"  */
    modelChange: EventEmitter<DeviceManager>;
    /** Internal subscription for the model */
    private subscription;
    /**
     * Constructor
     * @param service The service either imported from up the hierarchy or instantiated
     *                by this directive.
     */
    constructor(service: DeviceManagerService);
    /**
     * Implementation of the OnChanges interface updates the service's uniqueID
     * @param changes The changes made to this component
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Implementation of the OnDestroy interface unsubscribes from the model observable.
     */
    ngOnDestroy(): void;
}
