import { Provider } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { RestPythonService } from '../rest-python/rest-python.module';
import { DomainService } from '../domain/domain.module';
import { FileSystemService } from './file-system.service';
/**
 * This method instantiates a new instance for service if none is provided.
 * @param [service] An existing instance of the service
 * @param http The HTTP service for server callbacks
 * @param restPython The REST Python service for URL serialization
 * @param domainService The Domain service that has this FileSystem in it
 */
export declare function serviceSelect(service: FileSystemService, http: HttpClient, restPython: RestPythonService, domainService: DomainService): FileSystemService;
/**
 * This is a default Service Provider factory that automatically selects the
 * "external" service (if already in the DI graph) or injects a new one using
 * the required set of external dependencies.
 */
export declare function fileSystemServiceProvider(): Provider[];
