import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { FileSystem } from '../models/index';
import { BaseService } from '../base/index';
import { RestPythonService } from '../rest-python/rest-python.module';
import { DomainService } from '../domain/domain.module';
/**
 * TBD
 * The FileSystemService provides access to the Domain's File System.
 */
export declare class FileSystemService extends BaseService<FileSystem> {
    protected http: HttpClient;
    protected restPython: RestPythonService;
    protected domainService: DomainService;
    /**
     * Constructor
     * @param http The HTTP service for server callbacks
     * @param restPython The REST Python service for URL serialization
     * @param domainService The Domain service that has this FileSystem in it
     */
    constructor(http: HttpClient, restPython: RestPythonService, domainService: DomainService);
    /**
     * Internal, sets up the base URL
     * @param url Sets the base URL for this service
     */
    setBaseUrl(url: string): void;
    /**
     * Internal, initiates the server call that uniquely identifies this entity
     * to retrieve its model.
     */
    uniqueQuery$(): Observable<FileSystem>;
}
