import { ISerializable } from '../serialization/index';
import * as prop from '../property/index';
import * as resource from '../resource/index';
import { DeviceManagerRef } from './device-manager-ref';
/**
 * Serializable REDHAWK Device manager model
 */
export declare class DeviceManager extends DeviceManagerRef implements ISerializable<DeviceManager> {
    /** Properties listing */
    properties: prop.PropertySet;
    /** Devices listing */
    devices: resource.ResourceRefs;
    /** Services listing */
    services: resource.ResourceRefs;
    /** Constructor */
    constructor();
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
