import { ISerializable } from '../serialization/index';
import * as prop from '../property/index';
import * as resource from '../resource/index';
import * as devmgr from '../devicemanager/index';
import { WaveformSADRefs } from '../waveform/index';
/**
 * Serializable REDHAWK Domain model
 */
export declare class Domain implements ISerializable<Domain> {
    /** Unique name (used for fetching) */
    name: string;
    /** Instance ID */
    id: string;
    /** Properties */
    properties: prop.PropertySet;
    /** Currently running applications */
    applications: resource.ResourceRefs;
    /** Available Waveforms to launch (SADs) */
    waveforms: WaveformSADRefs;
    /** Device Managers */
    deviceManagers: devmgr.DeviceManagerRefs;
    /** Active Event Channels */
    eventChannels: Array<string>;
    /** Constructor */
    constructor();
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
