import { ISerializable } from '../../serialization/index';
import { IdmEvent } from './idm-event';
/**
 * Serializable REDHAWK IDM Abnormal Component Termination Event model
 */
export declare class AbnormalComponentTerminationEvent extends IdmEvent implements ISerializable<AbnormalComponentTerminationEvent> {
    /** Device ID that was executing the component */
    deviceId: string;
    /** Component ID that terminated */
    componentId: string;
    /** Application ID where the Component was */
    applicationId: string;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
