import { ISerializable } from '../../serialization/index';
import { OdmEvent } from './odm-event';
import { ResourceStateChange } from './enums/index';
/**
 * Serializable REDHAWK ODM Resource State Change Event
 */
export declare class ResourceStateChangeEvent extends OdmEvent implements ISerializable<ResourceStateChangeEvent> {
    /** Original state of the resource */
    stateChangeFrom: ResourceStateChange;
    /** New state of the resource */
    stateChangeTo: ResourceStateChange;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
