import { ISerializable } from '../serialization/index';
import { IFileSystemPath } from './file-system-path';
/**
 * Serializable REDHAWK Model of the SCA FileSystem interface.
 */
export declare class FileSystem implements ISerializable<FileSystem> {
    /** Files in the path */
    files: Array<IFileSystemPath>;
    /** Directories in the path */
    directories: Array<IFileSystemPath>;
    /** Contents of the path (if it's a file) */
    contents: string;
    /** Constructor */
    constructor();
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
