/**
 * Common 'unknown' IDL type in the event of error.
 */
export declare enum PortUnknownIDLType {
    UNKNOWN = -1
}
/**
 * REDHAWK BULKIO IDL Types
 */
export declare enum PortBulkIOIDLType {
    UNKNOWN = -1,
    dataShort = 0,
    dataUShort = 1,
    dataOctet = 2,
    dataLong = 3,
    dataLongLong = 4,
    dataULong = 5,
    dataULongLong = 6,
    dataFloat = 7,
    dataDouble = 8
}
/**
 * REDHAWK FrontEnd Interfaces IDL Types
 */
export declare enum PortFEIIDLType {
    UNKNOWN = -1,
    DigitalTuner = 9,
    AnalogTuner = 10,
    RFInfo = 11,
    RFSource = 12,
    GPS = 13,
    NavData = 14
}
/**
 * Union type of the two port IDL types that are possible
 */
export declare type PortIDLType = PortBulkIOIDLType | PortFEIIDLType;
/**
 * Deserialization function for Port IDL types received from the server.
 *
 * End users should not need this method as it's used by PortIDL to ensure
 * the resulting enumeration maps to one of the above enumerations.
 */
export declare function resolvePortIDLType(val: string): PortIDLType;
