/**
 * Module for REDHAWK Port-related models and interfaces.
 */
import { Port } from './port';
export { PortDirection, PortBulkIOIDLType, PortFEIIDLType, PortIDLType, PortUnknownIDLType, PortIDLNameSpace } from './enums/index';
export { Port } from './port';
export { PortIDL } from './port-idl';
/**
 * List of Port models
 */
export declare type Ports = Array<Port>;
/**
 * Deserializes a JSON object into a single port
 *
 * @param {any} input JSON Object representing a port
 * @return {Port} the port model from the input
 */
export declare function deserializePort(input: any): Port;
/**
 * Deserializes a JSON object into a port listing.
 *
 * @param {any} input JSON Object representing a list of ports.
 * @return {Ports} The port models represented in input
 */
export declare function deserializePorts(inputs?: any): Ports;
