import { ISerializable } from '../serialization/index';
import * as enums from './enums/index';
import { PortIDL } from './port-idl';
/**
 * Serializable REDHAWK Port Model
 */
export declare class Port implements ISerializable<Port> {
    /** Port Name */
    name: string;
    /** Representation ID  (of the interface) */
    repId: string;
    /** Port Direction (Uses/Provides) */
    direction: enums.PortDirection;
    /** IDL expansion of repID */
    idl: PortIDL;
    /** Indicates this is a BULKIO port that supports the websocket interface. */
    readonly hasBulkioWebsocket: boolean;
    /** Indicates this is an FEI port that supports the control interface. */
    readonly isFEIControllable: boolean;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
