import { Property } from './property';
/**
 * Common base class for Simple and SimpleSeq types which have
 * the ability to express values as enumerations
 */
export declare class SimpleCommon extends Property {
    /** The data type of the value */
    type: string;
    /** Enumeration map related to the value, if any */
    enumerations: {
        [key: string]: string;
    };
    /**
     * Common string-to-value (data)type conversion.
     * @param val Value to convert (string)
     * @param type Data type (string, long, ulong, etc.)
     */
    static valueFromString(val: string, type: string): any;
    /**
     * Create a copy of the property
     */
    copy(): SimpleCommon;
}
