import { ISerializable } from '../serialization/index';
import { SimpleCommon } from './simple-common';
import { SimpleValueType } from './simple-value-type';
import { ScaSimpleType } from './sca-types';
/**
 * Serializable REDHAWK 'simple' Property Model
 */
export declare class SimpleProperty extends SimpleCommon implements ISerializable<SimpleProperty> {
    /** value of the property */
    value: SimpleValueType;
    /** SCA Type ('simple') */
    scaType: ScaSimpleType;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
    /**
     * Create a copy of the property.
     */
    copy(): SimpleProperty;
    /**
     * Update the value from the string vs. type off this property
     * @param val The string value to convert based on the type
     */
    valueFromString(val: string): void;
}
