import { ISerializable } from '../serialization/index';
import { SimpleCommon } from './simple-common';
import { SimpleSeqValueType } from './simple-seq-value-type';
import { ScaSimpleSeqType } from './sca-types';
/**
 *  A 'simpleSeq' Property
 */
export declare class SimpleSeqProperty extends SimpleCommon implements ISerializable<SimpleSeqProperty> {
    /** Array of values for the property */
    value: SimpleSeqValueType;
    /** SCA Type ('simpleSeq') */
    scaType: ScaSimpleSeqType;
    /**
     * Deserializes a JSON object into this class
     * @param input JSON Object
     */
    deserialize(input: any): this;
    /**
     * Create a copy of the property.
     */
    copy(): SimpleSeqProperty;
    /**
     * Update the value from the string representation
     * @param vals Comma-spaced values to convert to this property's value
     */
    valueFromString(vals: string): void;
}
