import { ISerializable } from '../serialization/index';
import { Property } from './property';
import { StructSeqValueType } from './struct-seq-value-type';
import { ScaStructSeqType } from './sca-types';
import { StructProperty } from './struct-property';
/**
 * Serializable REDHAWK 'structSeq' Property Model
 */
export declare class StructSeqProperty extends Property implements ISerializable<StructSeqProperty> {
    /** The list of StructPropertys for this struct sequence */
    value: StructSeqValueType;
    /** The SCA Type ('structseq') */
    scaType: ScaStructSeqType;
    /**
     * Find a StructProperty having a field whose value matches the provided one.
     *
     * @param { string } fieldId The field ID in the StructProprety to use in the match.
     * @param { string } value The value to locate at fieldId
     */
    find(fieldId: string, value: string): StructProperty;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
    /**
     * Create a copy of the property.
     */
    copy(): StructSeqProperty;
}
