import { ISerializable } from '../serialization/index';
import { Redhawk } from './redhawk';
/**
 * Represents REDHAWK update event structure indicating the state of domain
 * changes (added, removed, current listing)
 */
export declare class RedhawkEvent extends Redhawk implements ISerializable<RedhawkEvent> {
    /** List of Domain Names that were added */
    added: Array<string>;
    /** List of Domain Names that were removed */
    removed: Array<string>;
    /** Constructor */
    constructor();
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
