import { ISerializable } from '../serialization/index';
/**
 * Serializable REDHAWK Waveform SAD model (i.e., a reference to an
 * available Waveform/Application that can be launched).
 */
export declare class WaveformSAD implements ISerializable<WaveformSAD> {
    /** Name of the Waveform for use with the {@link DomainService#launch$} */
    name: string;
    /** The SAD location in the Domain's SCA File System {@link FileSystemService} */
    sad: string;
    /** Deserializes a JSON object into this class */
    deserialize(input: any): this;
}
