import { Provider } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { RestPythonService } from '../rest-python/rest-python.module';
import { WaveformService } from '../waveform/waveform.module';
import { DeviceService } from '../device/device.module';
import { ComponentService } from '../component/component.module';
import { PortService } from './port.service';
/**
 * This method instantiates a new instance for service if none is provided.
 * @param [service] An existing instance of the service
 * @param http The HTTP service for server callbacks
 * @param restPython The REST Python service for URL serialization
 * @param [waveform] The Waveform service that has this Port in it
 * @param [device] The Device service that has this Port in it
 * @param [component] The Component service that has this Port in it
 */
export declare function serviceSelect(service: PortService, http: HttpClient, restPython: RestPythonService, waveform: WaveformService, device: DeviceService, component: ComponentService): PortService;
/**
 * This is a default Service Provider factory that automatically selects the
 * "external" service (if already in the DI graph) or injects a new one using
 * the required set of external dependencies.
 */
export declare function portServiceProvider(): Provider[];
