import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { PortRef } from './port.ref';
/**
 * Generic FEI Device that queries (Http) against the port to fetch its
 * extended information.  This is simply a base class for the other FEI types.
 */
export declare class FeiRef extends PortRef {
    url: string;
    /** The HTTP service being used with this port reference */
    http: HttpClient;
    /**
     * Constructor
     * @param url The URL of the port.
     */
    constructor(url: string);
    /**
     * Queries the FEI port for the named parameter.
     */
    protected query$(param?: string): Observable<any>;
}
