import { Observable } from 'rxjs';
import { RedhawkEvent } from '../models/index';
import { RestPythonService } from '../rest-python/rest-python.module';
/**
 * The REDHAWK Listener Service provides notifications for when Domains are
 * added and removed to the naming service.
 */
export declare class RedhawkListenerService {
    /** Internal subject for received messages */
    private socketInterface;
    /**
     * Observable event indicating which domains were added and removed as well as
     * the current listing of Domains.
     */
    readonly events$: Observable<RedhawkEvent>;
    /**
     * Constructor
     * @param restPython The REST Python service that provides the URL mapping to REST Python
     */
    constructor(restPython: RestPythonService);
}
