import { Provider } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { DeviceManagerService } from '../../devicemanager/device-manager.module';
import { DomainService } from '../../domain/domain.module';
import { RestPythonService } from '../../rest-python/rest-python.module';
/**
 * DeviceManager(Service) Factory returns a new instance of the
 * DeviceManagerService.
 * @param http The Http Service
 * @param restPython The RestPythonService
 * @param domain The DomainService
 */
export declare function deviceManagerFactory(http: HttpClient, restPython: RestPythonService, domain: DomainService): DeviceManagerService;
/**
 * Returns a provider for a device manager mapped to the token and domain
 * provider specified.
 * @param token InjectionToken, string or class to represent this instance
 * @param domain The parent Domain provider
 */
export declare function deviceManagerProvider(token: any, domain: any): Provider;
