import { Provider } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { DomainService } from '../../domain/domain.module';
import { OdmListenerService } from '../../sockets/sockets.module';
import { RedhawkService } from '../../redhawk/redhawk.module';
import { RestPythonService } from '../../rest-python/rest-python.module';
/**
 * Domain(Service) Factory returns a new instance of the DomainService.
 * @param http The Http Service
 * @param restPython The RestPythonService
 * @param redhawk The REDHAWK Service
 * @param odm The ODM Listener Service
 */
export declare function domainFactory(http: HttpClient, restPython: RestPythonService, redhawk: RedhawkService, odm: OdmListenerService): DomainService;
/**
 * Returns a provider for a domain service mapped to the token specified.
 * @param token InjectionToken, string or class to represent this instance
 */
export declare function domainProvider(token: any): Provider[];
