import { Provider } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { RestPythonService } from '../rest-python/rest-python.module';
import { DomainService } from '../domain/domain.module';
import { WaveformService } from './waveform.service';
/**
 * This method instantiates a new instance for service if none is provided.
 * @param [service] An existing instance of the service
 * @param http The HTTP service for server callbacks
 * @param restPython The REST Python service for URL serialization
 * @param domainService The Domain service that can contains this Waveform
 */
export declare function serviceSelect(service: WaveformService, http: HttpClient, restPython: RestPythonService, domain: DomainService): WaveformService;
/**
 * This is a default Service Provider factory that automatically selects the
 * "external" service (if already in the DI graph) or injects a new one using
 * the required set of external dependencies.
 */
export declare function waveformServiceProvider(): Provider[];
